Create and Offer by referencing the OfferList Identifier which is returned in the Price response
Not implemented.
Discriminator class OfferQueryBuildFromOfferList
Shared object to support referencing an existing offer, such as document refund.
Contains additional modifiers to customize the result set. Includes optional indicators for returning or excluding specified response content.
Values sent at Search can carry forward into the Next Leg Search request and are not re-sent.
Requests a fare based on the cabin class. Only one cabin preferenceType (Permitted, Preferred, PreferredWithUpgrade) is allowed per request, but there is no limit to the number of cabins that can be sent.
Any CabinPreference in the initial Search request is applied to any subsequent Next Leg Search and reference Flight Specific Search requests.
- By default, the CabinPreference in the initial Search request is also applied to any subsequent Next Leg Search request. To override this default and return all cabins for the next leg in the response, send ignoreCabinPreferenceInd=true in the Next Leg Search request.
In AirPrice and AirReservation (Supported for Full Payload path only)
If CabinPreference was sent in the Search request, it is cached and sent with the AirPrice reference payload request. If CabinPreference is sent in the AirPrice request, all cached modifiers are discarded and only the modifiers sent in the AirPrice request are used.
Can be combined with lowFareFinderInd=true to return lowest fare in the requested cabin or cabins. When using CabinPreference and lowFareFinderInd, if both CabinPreference and a class of service are sent, class of service is ignored. If CabinPreference is sent without a class of service, the response returns the lowest fare in the cabin requested. If that cabin is not available, the response may upgrade or downgrade to a different cabin. If a different cabin than requested is returned, the response returns the message that the cabin class may differ from the class requested. If lowFareFinderInd=false and CabinPreference are sent in the request, AirPrice ignores the preferred cabin and returns a message that the preferred cabin was ignored.
If CabinPreference is set to All, no cabin preference is applied.
If true, a new Offer will replace the referenced Offer with the lowest fare available. Flights will be rebooked.
If true, disables the return of branded fare attributes. By default the AirPrice Reference Payload request returns branded fare attributes.
- https://api.pp.travelport.net/11https://api.pp.travelport.net/11/air/book/airoffer/reservationworkbench/{ReservationResource_Identifier}/offers/buildfromofferlist
- https://api.travelport.net/11https://api.travelport.net/11/air/book/airoffer/reservationworkbench/{ReservationResource_Identifier}/offers/buildfromofferlist
curl -i -X POST \
https://api.pp.travelport.net/11/air/book/airoffer/reservationworkbench/49f58f5f-c443-43b4-9f5d-be405fd00a01/offers/buildfromofferlist \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'TVP-PCC-Core: DU7_1G' \
-H 'TraceId: TraceID_123456789' \
-H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
-H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01' \
-d '{
"@type": "OfferQueryBuildfromOfferList",
"BuildFromOfferList": {
"@type": "BuildFromOfferList",
"OfferListIdentifier": "A0656EFF-FAF4-456F-B061-0161008D7C4E",
"OfferIdentifier": [
{
"id": "offer_1",
"offerRef": "offer_1",
"Identifier": {
"value": "A0656EFF-FAF4-456F-B061-0161008D7C4E",
"authority": "TVPT"
}
}
],
"ProductIdentifier": [
{
"id": "product_1",
"productRef": "product_1",
"Identifier": {
"value": "A0656EFF-FAF4-456F-B061-0161008D7C4E",
"authority": "TVPT"
}
}
],
"SegmentSequence": 1,
"WaiverCode": {
"value": "string",
"reasonCode": 2,
"waiverType": "ChangePenalty"
}
},
"MaxNumberOfUpsellsToReturn": 4,
"NumberOfDownsellsToReturn": 4,
"PricingModifiersAir": null,
"CustomResponseModifiersAir": {
"@type": "CustomResponseModifiersAir",
"BrandAttributeInclusion": [
{
"@type": "BrandAttributeInclusion",
"legSequence": [
1,
2
],
"Classification": [
"CarryOn"
],
"AdditionalClassification": [
"string"
]
}
],
"SearchRepresentation": "Leg",
"excludePenaltiesInd": true,
"excludeBaggageFeesInd": true,
"includeFareCalculationInd": true,
"excludeSurchargesInd": true,
"excludeUnbundledFaresInd": true,
"includeCO2EmissionsDataInd": true,
"includeFlightAmenitiesInd": true,
"includeUniversalProductAttributesInd": true,
"includeBundledAncillariesInd": true,
"includeFullPenaltyDisclosureInd": true
},
"CabinPreference": {
"@type": "CabinPreference",
"preferenceType": "Preferred",
"cabins": [
"Economy"
],
"legSequence": [
1,
2
]
},
"lowFareFindAndRebookInd": true,
"inhibitBrandContentInd": true
}'{ "OfferListResponse": { "OfferID": [ null ], "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [ … ], "Warning": [ … ] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "www.travelport.com", "id": "5", "NextStep": [ … ] }, "ReferenceList": [ null ], "CurrencyRateConversion": [ { … } ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }